#!/bin/bash
[ ! -z "${1}" ] && filename="${1}" || read -p 'type in filename >' filename && [ -z "$filename" ] && filename="audio"
ffmpeg -threads 12 -f alsa -probesize 80M -channels 2 -sample_rate 48000 -thread_queue_size 16384 -i plughw:0,0 -c:a libvorbis -filter_complex "[0]asetpts=N/SR/TB,highpass=300,lowpass=20000,asendcmd=0.0 afftdn sn start,asendcmd=5.0 afftdn sn stop,afftdn=nr=80:tr=on:tn=on:nt=c:om=o,atrim=5,volume=2,asetpts=PTS-STARTPTS" /tmp/"${filename}".ogg
