#!/bin/bash
inres="1366x768"
fps="30"
bitrate="3000k"
read -p 'type in filename >' filename
if [ -z "$filename" ];
then
filename="test"
fi
ffmpeg -hide_banner -threads:0 3 -threads:1 1 \
-f x11grab -probesize 42M -video_size $inres -framerate $fps -thread_queue_size 1024 -i :0.0 \
-c:v libopenh264 -allow_skip_frames true -b:v $bitrate \
/tmp/$filename.mp4
