## ICONS FOR FUTURE VERSION
##  wi fi
while true; do
  curtime="$(date +%T)"
  curtimeicon=""
  curdate="$(date +'%a %d/%m')"
  curtemp="$(bc -l <<< "scale = 1; $(cat /sys/class/thermal/thermal_zone0/temp)/1000")"
  curfreq="$(bc -l <<< "scale=2; ($(cat /sys/devices/system/cpu/cpufreq/policy0/scaling_max_freq) + 5000) / 1000000")"
  vol="$(amixer get Master)"
  curvol=$(awk '{FS="[][]"} {print $2}' <<< "${vol}" | grep -o "[0-9]*")
  curvolstatus=$(awk '{FS="[][]"} {print $6}' <<< "${vol}" | grep "\S")
  curram="$(free -h | grep Mem | awk '{print $3"/"$2}')"
  curramicon=""
  mhz="$(bc -l <<< "${curfreq} < 1")"
  if [ ${mhz} -eq 1 ]; then
    curfreq="$(printf "%0.f\n" $(bc -l <<< "0.93 * 1000"))"
    curfreq_suffix="MHz"
  else
    curfreq_suffix="GHz"
  fi
  if [ $curvol -ge 51 ]; then
    curvolicon=""
  elif [ $curvol -lt 51 ] && [ $curvol -gt 0 ]; then
    curvolicon=""
  else
    curvolicon=""
  fi
  if [ $curvolstatus != "on" ]; then
    curvolicon=""
  fi
  rootname="${curramicon} ${curram} - ${curtemp}º - @${curfreq} ${curfreq_suffix} - ${curvolicon} ${curvol}% - ${curdate} ${curtimeicon} ${curtime}"
  xsetroot -name "${rootname}"
  sleep 0.9
done
